## qlogo 0.92+git.1.29a5ca2

=== debian/changelog ===
qlogo (0.92+git.1.29a5ca2-2) unstable; urgency=medium

  * Missing build dependency on cmake

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Feb 2022 10:56:17 +0000

qlogo (0.92+git.1.29a5ca2-1) unstable; urgency=medium

  * Track upstream changes through 315d896 (just before Qt6 transition)
  * Add desktop file
  * Upstream installs executables in usr/bin itself
  * Upstream installs non-graphical executable as /usr/bin/logo; rename to QLogo-cli
  * Make QLogo-cli its own alternative
  * Update packaging scripts to upstream changes

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 06 Feb 2022 19:44:54 +0000

qlogo (0.92-2) unstable; urgency=low

  * Bump to debhelper 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Spelling patch
  * Tweak uscan support file debian/watch
  * Rules do not require root
  * Update standards version to 4.6.0, no changes needed.
  * Provide alternative for /usr/bin/logo

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Jan 2022 19:51:58 +0000
