=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.2.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://qlogo.org/
 Vcs-Git: https://salsa.debian.org/debian/QLogo.git
 Vcs-Browser: https://salsa.debian.org/debian/QLogo
-Build-Depends: debhelper (>= 11),
-	qtbase5-dev
+Build-Depends: debhelper-compat (= 13),
+	cmake,
+	qtbase5-dev,
 
 Package: qlogo
 Architecture: any
