=== debian/watch ===
version=4
https://github.com/jasonsikes/QLogo/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
