=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://qlogo.org/
 Vcs-Git: https://salsa.debian.org/debian/QLogo.git
 Vcs-Browser: https://salsa.debian.org/debian/QLogo
 Build-Depends: debhelper-compat (= 13),
 	cmake,
-	qtbase5-dev,
+	qt6-base-dev, libqt6opengl6-dev,
+	qt6-svg-dev,
 
 Package: qlogo
 Architecture: any
